# Linux Scripts Collection by Zion Networks

### Who is Zion Networks?

We are a Berlin-based startup focussed on IT Consulting, Administration services, Software Development, Game Development and AI, especially for the games industry. Visit us on [our website](https://www.zion-networks.de).

Since we use open source software every day it's also our resposibility to give something back.

We're planning to release a growing amount of open source software, that is free to use for personal and commercial applications.

### What scripts can be found here?

| Name                   | Description                                                                                                                                                                                                                                                                                                                                                                                                     | License                                                                                                | Current Version | Written in | Supported Distros    | Path                                                                                                         |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ | --------------- | ---------- | -------------------- | ------------------------------------------------------------------------------------------------------------ |
| Borgmatic Setup Tool   | If you plan to use borg as backup solution, you should also take a look at [borgmatic](https://torsion.org/borgmatic/). It's a Python wrapper for the award winning backup tool [borgbackup](https://borgbackup.readthedocs.io/en/stable/index.html) that simplifies creating secure and reliable backups even more. You can even store your configurations in files. This script will do the setup for you to. | [MIT]([LICENSE](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/LICENSE)) | v1.2.1          | Bash       | Debian and derivates | [Borgmatic Setup](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/borgmatic)    |
| Git Rewrite Author     | **USE WITH CAUTION!!!**<br><br> This script will rewrite the entire history of the remote end and set the author email to the provided one.<br><br>**This is NOT reversible!**                                                                                                                                                                                                                                  | [MIT]([LICENSE](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/LICENSE)) | v1.0.0          | Bash       | Most Linux distros   | [Git Scripts](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/git)              |
| UFW Beautifier         | Simple Python script to get a fancy formatted `ufw.log`                                                                                                                                                                                                                                                                                                                                                         | [MIT]([LICENSE](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/LICENSE)) | v1.0.0          | Python     | Most Linux distros   | [UFW Beautifier](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/ufw)           |
| Gitlab2Gitea Migration | Python script to perform a full migration from Gitlab to Gitea                                                                                                                                                                                                                                                                                                                                                  | [MIT]([LICENSE](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/LICENSE)) | v1.0.0-pre      | Python     | Most Linux distros   | [Gitlab to Gitea](https://git.zion-networks.de/ZionNetworks/linux-bash-scripts/src/branch/main/gitlab2gitea) |